Bug 1000748 - Missing requires for python-celery and python3-celery
Missing requires for python-celery and python3-celery
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: python-celery (Show other bugs)
19
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Matthias Runge
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-08-24 17:13 EDT by Michael Scherer
Modified: 2013-09-24 18:57 EDT (History)
3 users (show)

See Also:
Fixed In Version: python-celery-3.0.15-3.fc19
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-09-24 18:57:19 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Michael Scherer 2013-08-24 17:13:47 EDT
trying to start celery after installation, I see it ask for pkg_resources 

So we shuld see a requires on python3-setuptools or python-setuptools, depending on the version of the module we use.
Comment 1 Michael Scherer 2013-08-24 17:18:52 EDT
python3-celery also need python3-kombu :
$ celery -A worker worker --loglevel=info
Traceback (most recent call last):
  File "/usr/bin/celery", line 5, in <module>
    from pkg_resources import load_entry_point
  File "/usr/lib/python3.3/site-packages/pkg_resources.py", line 2806, in <module>
    working_set.require(__requires__)
  File "/usr/lib/python3.3/site-packages/pkg_resources.py", line 696, in require
    needed = self.resolve(parse_requirements(requirements))
  File "/usr/lib/python3.3/site-packages/pkg_resources.py", line 594, in resolve
    raise DistributionNotFound(req)
pkg_resources.DistributionNotFound: kombu>=2.4.7,<3.0


And python3-pytz, python3-dateutil, python3-billiard
Comment 2 Michael Scherer 2013-08-24 17:21:38 EDT
python-celery requires
Comment 3 Michael Scherer 2013-08-24 17:24:02 EDT
python-celery msst also requires :
python-billiard
Comment 4 Matthias Runge 2013-08-27 07:12:18 EDT
Thanks for the report, will ship a new version soon.
Comment 5 Fedora Update System 2013-09-06 05:47:08 EDT
python-celery-3.0.15-2.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/python-celery-3.0.15-2.fc19
Comment 6 Fedora Update System 2013-09-06 21:28:05 EDT
Package python-celery-3.0.15-2.fc19:
* should fix your issue,
* was pushed to the Fedora 19 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing python-celery-3.0.15-2.fc19'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2013-16005/python-celery-3.0.15-2.fc19
then log in and leave karma (feedback).
Comment 7 Josh Chia 2013-09-14 17:44:55 EDT
requires python-amqp
Comment 8 Matthias Runge 2013-09-16 05:03:55 EDT
Josh, could you please next time open another bug instead of capturing another? Thanks.
Comment 9 Fedora Update System 2013-09-16 05:04:44 EDT
python-celery-3.0.15-3.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/python-celery-3.0.15-3.fc19
Comment 10 Josh Chia 2013-09-16 09:57:46 EDT
Sorry, I wasn't familiar with the protocol. Next time, I'll open a new bug.
Comment 11 Fedora Update System 2013-09-24 18:57:19 EDT
python-celery-3.0.15-3.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.